<template>
    <button class="button item__button-add-to-cart"
            :disabled="!item.isAvailable"
            @click="addToCart(item)"
    >Add to cart</button>
</template>

<script>
import { mapActions } from "vuex";

export default {
  name: "AddToCartButton",

  props: {
    item: {
      type: Object,
      required: true
    }
  },

  methods: {
    ...mapActions("cart", ["addItemToCart"]),
    addToCart(item) {
      this.addItemToCart(item);
      window.alert(`Product "${item.name}" was added to cart`);
    }
  }
};
</script>
